Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class ComponentEx

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx

All Implemented Interfaces:
  Attributeable, java.io.Serializable, RenderIdSupport

Direct Known Subclasses:
  AbleComponent, KeyStrokeListener, Separator

    public abstract class ComponentEx

extends Component
implements Attributeable

`ComponentEx` is an abstract component that offers helper methods for getting and setting properties, beyond what the base `nextapp.echo2.app.Component` does.

The `hidden` property is an interesting one. This is a different visual property to `visible`.

In Echo2 components that are not `visible` do not exist at all as far as rendering is concerned. They get no property updates and will not exist in the client. The `hidden` flag simple makes the component "not shown" on the client. It still exists and can/will receive property updates.

The use of this flag can help the application become more efficient because server to client messaging is reduced when a parent component is hidden and then shown, as it may not redraw all sub components.

In CSS/XHTML terms, hidden is equivalent to display:none.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`ComponentEx()` `ComponentEx` does not participate in focus traversal by default.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`static java.lang.Object` | `getProperty(Component c, java.lang.String propertyName)` Helper method to get 'Object' properties.
`static boolean` | `getProperty(Component c, java.lang.String propertyName, boolean defaultValue)` Helper method to get 'boolean' properties, with a default value.
`static byte` | `getProperty(Component c, java.lang.String propertyName, byte defaultValue)` Helper method to get 'byte' properties, with a default value.
`static char` | `getProperty(Component c, java.lang.String propertyName, char defaultValue)` Helper method to get 'char' properties, with a default value.
`static double` | `getProperty(Component c, java.lang.String propertyName, double defaultValue)` Helper method to get 'double' properties, with a default value.
`static float` | `getProperty(Component c, java.lang.String propertyName, float defaultValue)` Helper method to get 'float' properties, with a default value.
`static int` | `getProperty(Component c, java.lang.String propertyName, int defaultValue)` Helper method to get 'int' properties, with a default value.
`static long` | `getProperty(Component c, java.lang.String propertyName, long defaultValue)` Helper method to get 'long' properties, with a default value.
`static short` | `getProperty(Component c, java.lang.String propertyName, short defaultValue)` Helper method to get 'short' properties, with a default value.
`boolean` | `getProperty(java.lang.String propertyName, boolean defaultValue)` Helper method to get 'boolean' properties, with a default value.
`byte` | `getProperty(java.lang.String propertyName, byte defaultValue)` Helper method to get 'byte' properties, with a default value.
`char` | `getProperty(java.lang.String propertyName, char defaultValue)` Helper method to get 'char' properties, with a default value.
`double` | `getProperty(java.lang.String propertyName, double defaultValue)` Helper method to get 'double' properties, with a default value.
`float` | `getProperty(java.lang.String propertyName, float defaultValue)` Helper method to get 'float' properties, with a default value.
`int` | `getProperty(java.lang.String propertyName, int defaultValue)` Helper method to get 'int' properties, with a default value.
`long` | `getProperty(java.lang.String propertyName, long defaultValue)` Helper method to get 'long' properties, with a default value.
`short` | `getProperty(java.lang.String propertyName, short defaultValue)` Helper method to get 'short' properties, with a default value.
`static java.lang.Object` | `getRenderProperty(Component c, java.lang.String propertyName)` Helper method to get 'Object' render properties.
`static boolean` | `getRenderProperty(Component c, java.lang.String propertyName, boolean defaultValue)` Helper method to get 'boolean' render properties, with a default value.
`static byte` | `getRenderProperty(Component c, java.lang.String propertyName, byte defaultValue)` Helper method to get 'byte' render properties, with a default value.
`static char` | `getRenderProperty(Component c, java.lang.String propertyName, char defaultValue)` Helper method to get 'char' render properties, with a default value.
`static double` | `getRenderProperty(Component c, java.lang.String propertyName, double defaultValue)` Helper method to get 'double' render properties, with a default value.
`static float` | `getRenderProperty(Component c, java.lang.String propertyName, float defaultValue)` Helper method to get 'float' render properties, with a default value.
`static int` | `getRenderProperty(Component c, java.lang.String propertyName, int defaultValue)` Helper method to get 'int' render properties, with a default value.
`static long` | `getRenderProperty(Component c, java.lang.String propertyName, long defaultValue)` Helper method to get 'long' render properties, with a default value.
`static java.lang.Object` | `getRenderProperty(Component c, java.lang.String propertyName, java.lang.Object defaultValue)` Helper method to get 'Object' render properties.
`static short` | `getRenderProperty(Component c, java.lang.String propertyName, short defaultValue)` Helper method to get 'short' render properties, with a default value.
`boolean` | `getRenderProperty(java.lang.String propertyName, boolean defaultValue)` Helper method to get 'boolean' render properties, with a default value.
`byte` | `getRenderProperty(java.lang.String propertyName, byte defaultValue)` Helper method to get 'byte' render properties, with a default value.
`char` | `getRenderProperty(java.lang.String propertyName, char defaultValue)` Helper method to get 'char' render properties, with a default value.
`double` | `getRenderProperty(java.lang.String propertyName, double defaultValue)` Helper method to get 'double' render properties, with a default value.
`float` | `getRenderProperty(java.lang.String propertyName, float defaultValue)` Helper method to get 'float' render properties, with a default value.
`int` | `getRenderProperty(java.lang.String propertyName, int defaultValue)` Helper method to get 'int' render properties, with a default value.
`long` | `getRenderProperty(java.lang.String propertyName, long defaultValue)` Helper method to get 'long' render properties, with a default value.
`short` | `getRenderProperty(java.lang.String propertyName, short defaultValue)` Helper method to get 'short' render properties, with a default value.
`boolean` | `isHidden()`
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.
`void` | `setHidden(boolean newValue)` Sets whether this ComponentEx (and its content) is hidden on the client.
`static void` | `setProperty(Component c, java.lang.String propertyName, boolean newValue)` Helper method to set 'boolean' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, byte newValue)` Helper method to set 'byte' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, char newValue)` Helper method to set 'char' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, double newValue)` Helper method to set 'double' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, float newValue)` Helper method to set 'float' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, int newValue)` Helper method to set 'int' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, long newValue)` Helper method to set 'long' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, java.lang.Object newValue)` Helper method to set 'Object' property values
`static void` | `setProperty(Component c, java.lang.String propertyName, short newValue)` Helper method to set 'short' property values
`void` | `setProperty(java.lang.String propertyName, boolean newValue)` Helper method to set 'boolean' property values
`void` | `setProperty(java.lang.String propertyName, byte newValue)` Helper method to set 'byte' property values
`void` | `setProperty(java.lang.String propertyName, char newValue)` Helper method to set 'char' property values
`void` | `setProperty(java.lang.String propertyName, double newValue)` Helper method to set 'double' property values
`void` | `setProperty(java.lang.String propertyName, float newValue)` Helper method to set 'float' property values
`void` | `setProperty(java.lang.String propertyName, int newValue)` Helper method to set 'int' property values
`void` | `setProperty(java.lang.String propertyName, long newValue)` Helper method to set 'long' property values
`void` | `setProperty(java.lang.String propertyName, short newValue)` Helper method to set 'short' property values

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_HIDDEN

    public static final java.lang.String PROPERTY_HIDDEN

See Also:
  Constant Field Values

Constructor Detail

### ComponentEx

    public ComponentEx()

  `ComponentEx` does not participate in focus traversal by default.

Method Detail

### isHidden

    public boolean isHidden()

  Returns:
    true if the `ComponentEx` is currently hidden

### setHidden

    public void setHidden(boolean newValue)

  Sets whether this ComponentEx (and its content) is hidden on the client.

  This is a different visual property to `visible`. In Echo2 components that are not `visible` do not exist at all as far as rendering is concerned. They get no property updates and will not exist in the client. The `hidden` flag simple makes the component "not shown" on the client. It still exists and can receive property updates.

  The use of this flag can help the application become more efficient because server to client messaging is reduced when a parent component is hidden and then shown, as it may not redraw all sub components.

  In CSS/XHTML terms, hidden is equivalent to display:none.

  Parameters:
    `newValue` - - the new value of the hidden flag

### getProperty

    public static java.lang.Object getProperty(Component c,
                                               java.lang.String propertyName)

  Helper method to get 'Object' properties. Placed there for completeness since Component.getProperty() does exactly the same thing.

  Returns:
    - the 'Object' property
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static boolean getProperty(Component c,
                                      java.lang.String propertyName,
                                      boolean defaultValue)

  Helper method to get 'boolean' properties, with a default value.

  Returns:
    - the 'boolean' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static byte getProperty(Component c,
                                   java.lang.String propertyName,
                                   byte defaultValue)

  Helper method to get 'byte' properties, with a default value.

  Returns:
    - the 'byte' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static char getProperty(Component c,
                                   java.lang.String propertyName,
                                   char defaultValue)

  Helper method to get 'char' properties, with a default value.

  Returns:
    - the 'char' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static double getProperty(Component c,
                                     java.lang.String propertyName,
                                     double defaultValue)

  Helper method to get 'double' properties, with a default value.

  Returns:
    - the 'double' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static float getProperty(Component c,
                                    java.lang.String propertyName,
                                    float defaultValue)

  Helper method to get 'float' properties, with a default value.

  Returns:
    - the 'float' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static int getProperty(Component c,
                                  java.lang.String propertyName,
                                  int defaultValue)

  Helper method to get 'int' properties, with a default value.

  Returns:
    - the 'int' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static long getProperty(Component c,
                                   java.lang.String propertyName,
                                   long defaultValue)

  Helper method to get 'long' properties, with a default value.

  Returns:
    - the 'long' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public static short getProperty(Component c,
                                    java.lang.String propertyName,
                                    short defaultValue)

  Helper method to get 'short' properties, with a default value.

  Returns:
    - the 'short' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getRenderProperty

    public static java.lang.Object getRenderProperty(Component c,
                                                     java.lang.String propertyName)

  Helper method to get 'Object' render properties. Placed there for completeness since Component.getRenderProperty() does exactly the same thing.

  Returns:
    - the 'Object' render property
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static boolean getRenderProperty(Component c,
                                            java.lang.String propertyName,
                                            boolean defaultValue)

  Helper method to get 'boolean' render properties, with a default value.

  Returns:
    - the 'boolean' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static byte getRenderProperty(Component c,
                                         java.lang.String propertyName,
                                         byte defaultValue)

  Helper method to get 'byte' render properties, with a default value.

  Returns:
    - the 'byte' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static char getRenderProperty(Component c,
                                         java.lang.String propertyName,
                                         char defaultValue)

  Helper method to get 'char' render properties, with a default value.

  Returns:
    - the 'char' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static double getRenderProperty(Component c,
                                           java.lang.String propertyName,
                                           double defaultValue)

  Helper method to get 'double' render properties, with a default value.

  Returns:
    - the 'double' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static float getRenderProperty(Component c,
                                          java.lang.String propertyName,
                                          float defaultValue)

  Helper method to get 'float' render properties, with a default value.

  Returns:
    - the 'float' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static int getRenderProperty(Component c,
                                        java.lang.String propertyName,
                                        int defaultValue)

  Helper method to get 'int' render properties, with a default value.

  Returns:
    - the 'int' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static long getRenderProperty(Component c,
                                         java.lang.String propertyName,
                                         long defaultValue)

  Helper method to get 'long' render properties, with a default value.

  Returns:
    - the 'long' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static java.lang.Object getRenderProperty(Component c,
                                                     java.lang.String propertyName,
                                                     java.lang.Object defaultValue)

  Helper method to get 'Object' render properties. Placed there for completeness since Component.getRenderProperty() does exactly the same thing.

  Returns:
    - the 'Object' render property
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public static short getRenderProperty(Component c,
                                          java.lang.String propertyName,
                                          short defaultValue)

  Helper method to get 'short' render properties, with a default value.

  Returns:
    - the 'short' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   boolean newValue)

  Helper method to set 'boolean' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   byte newValue)

  Helper method to set 'byte' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   char newValue)

  Helper method to set 'char' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   double newValue)

  Helper method to set 'double' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   float newValue)

  Helper method to set 'float' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   int newValue)

  Helper method to set 'int' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   long newValue)

  Helper method to set 'long' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   java.lang.Object newValue)

  Helper method to set 'Object' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public static void setProperty(Component c,
                                   java.lang.String propertyName,
                                   short newValue)

  Helper method to set 'short' property values

  See Also:
    `Component.setProperty(String, Object)`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)

  Description copied from interface: `Attributeable`
  Returns a value for the given attribute name or null if one cannot be found.

  Specified by:
    `getAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.
  See Also:
    `Attributeable.getAttribute(java.lang.String)`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Description copied from interface: `Attributeable`
  Returns a String array with the names of the the attributes that have neen set.

  Specified by:
    `getAttributeNames` in interface `Attributeable`
  Returns:
    a String array with the names of the the attributes that have neen set.
  See Also:
    `Attributeable.getAttributeNames()`

### getProperty

    public boolean getProperty(java.lang.String propertyName,
                               boolean defaultValue)

  Helper method to get 'boolean' properties, with a default value.

  Returns:
    - the 'boolean' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public byte getProperty(java.lang.String propertyName,
                            byte defaultValue)

  Helper method to get 'byte' properties, with a default value.

  Returns:
    - the 'byte' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public char getProperty(java.lang.String propertyName,
                            char defaultValue)

  Helper method to get 'char' properties, with a default value.

  Returns:
    - the 'char' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public double getProperty(java.lang.String propertyName,
                              double defaultValue)

  Helper method to get 'double' properties, with a default value.

  Returns:
    - the 'double' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public float getProperty(java.lang.String propertyName,
                             float defaultValue)

  Helper method to get 'float' properties, with a default value.

  Returns:
    - the 'float' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public int getProperty(java.lang.String propertyName,
                           int defaultValue)

  Helper method to get 'int' properties, with a default value.

  Returns:
    - the 'int' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public long getProperty(java.lang.String propertyName,
                            long defaultValue)

  Helper method to get 'long' properties, with a default value.

  Returns:
    - the 'long' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getProperty

    public short getProperty(java.lang.String propertyName,
                             short defaultValue)

  Helper method to get 'short' properties, with a default value.

  Returns:
    - the 'short' property or the default value if its null
  See Also:
    `Component.getProperty(String)`

### getRenderProperty

    public boolean getRenderProperty(java.lang.String propertyName,
                                     boolean defaultValue)

  Helper method to get 'boolean' render properties, with a default value.

  Returns:
    - the 'boolean' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public byte getRenderProperty(java.lang.String propertyName,
                                  byte defaultValue)

  Helper method to get 'byte' render properties, with a default value.

  Returns:
    - the 'byte' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public char getRenderProperty(java.lang.String propertyName,
                                  char defaultValue)

  Helper method to get 'char' render properties, with a default value.

  Returns:
    - the 'char' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public double getRenderProperty(java.lang.String propertyName,
                                    double defaultValue)

  Helper method to get 'double' render properties, with a default value.

  Returns:
    - the 'double' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public float getRenderProperty(java.lang.String propertyName,
                                   float defaultValue)

  Helper method to get 'float' render properties, with a default value.

  Returns:
    - the 'float' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public int getRenderProperty(java.lang.String propertyName,
                                 int defaultValue)

  Helper method to get 'int' render properties, with a default value.

  Returns:
    - the 'int' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public long getRenderProperty(java.lang.String propertyName,
                                  long defaultValue)

  Helper method to get 'long' render properties, with a default value.

  Returns:
    - the 'long' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### getRenderProperty

    public short getRenderProperty(java.lang.String propertyName,
                                   short defaultValue)

  Helper method to get 'short' render properties, with a default value.

  Returns:
    - the 'short' render property or the default value if its null
  See Also:
    `Component.getRenderProperty(String, Object)`

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

  Description copied from interface: `Attributeable`
  Sets a value for a given attribute name.

  Specified by:
    `setAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute
  See Also:
    `Attributeable.setAttribute(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            boolean newValue)

  Helper method to set 'boolean' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            byte newValue)

  Helper method to set 'byte' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            char newValue)

  Helper method to set 'char' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            double newValue)

  Helper method to set 'double' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            float newValue)

  Helper method to set 'float' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            int newValue)

  Helper method to set 'int' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            long newValue)

  Helper method to set 'long' property values

  See Also:
    `Component.setProperty(String, Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            short newValue)

  Helper method to set 'short' property values

  See Also:
    `Component.setProperty(String, Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD